Bug 527049 - Review Request: python-ssl - SSL wrapper for socket objects (2.3, 2.4, 2.5 compatible)
Summary: Review Request: python-ssl - SSL wrapper for socket objects (2.3, 2.4, 2.5 co...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Domsch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-03 18:13 UTC by Steve Traylen
Modified: 2009-11-05 21:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-15 20:29:09 UTC
Type: ---
matt_domsch: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Steve Traylen 2009-10-03 18:13:08 UTC
This will never build on current and recent fedora where Python 2.6 is
present It will only be released and should only be tested for 
EPEL4 and EPEL5.

Spec URL: http://cern.ch/straylen/rpms/python-ssl/python-ssl.spec
SRPM URL: http://cern.ch/straylen/rpms/python-ssl/python-ssl-1.15-1.el5.src.rpm
Description: 
SSL wrapper for socket objects (2.3, 2.4, 2.5 compatible)

The old socket.ssl() support for TLS over sockets is being superseded in
Python 2.6 by a new 'ssl' module.  This package brings that module to older
Python releases.

$ rpmlint python-ssl.spec \
         ../SRPMS/python-ssl-1.15-1.el5.src.rpm \
    /var/lib/mock/epel-5-x86_64/result/python-ssl-1.15-1.el5.x86_64.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

EPEL 4 & 5 builds.
http://koji.fedoraproject.org/koji/taskinfo?taskID=1725937
http://koji.fedoraproject.org/koji/taskinfo?taskID=1725941

I realize this will need some handling when EPEL6 arrives one day.

Comment 1 Matt Domsch 2009-10-13 14:44:46 UTC
I'll take the review.

Missing a license file in %doc.  Not strictly required as the upstream tarball doesn't have it, but would be nice to add.

Group: tag can arguably be "Development/Libraries" and not "Development/Languages".

Use of 'cp' in %install should use 'cp -p' to preserve file timestamps.


rpmlint is clean.
$ rpmlint SPECS/python-ssl.spec RPMS/x86_64/python-ssl-1.15-1.fc10.x86_64.rpm SRPMS/python-ssl-1.15-1.fc10.src.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Name: OK
spec name: OK
packaging guidelines: ok
license: ok
license field: ok
license text file: not present in upstream. ok.
english spec: ok
legible spec: ok
sources match upstream: ok
$ sha1sum ssl-1.15.tar.gz SOURCES/ssl-1.15.tar.gz 
18035755a0ab75fe23191b5588d4572bfe675b5c  ssl-1.15.tar.gz
18035755a0ab75fe23191b5588d4572bfe675b5c  SOURCES/ssl-1.15.tar.gz

builds on x86_64: ok
doesn't build on some arch: unknown, nothing indicated.  ok.
buildrequires: ok
locales: not used, ok.
shared libs: none. ok
no system libs: ok
relocatable: no.  ok.
own dirs: ok
no duplicate files: ok
file perms: ok
clean section: ok
consistent use of macros: ok
code not content: code.  ok
large docs: none.  ok.
runtime docs: no. ok.
header files: none. ok
static libs: none. ok
pkgconfig: none. ok
devel versioned dep: none. ok.
no .la: none. ok
desktop file: none. ok
dir ownership: ok
install rm-rf: ok
utf8: ok

SHOULDs:
license: noted above
translated description: not available
builds in mock: yes, koji builds linked above
builds for target arches: yes via koji above
tested: not done during review
scriptlets sane: none, ok.
subpackages: none, ok
pkgconfig: none, ok
file deps: none, ok


With minor modifications above, this is a clean package, thanks.  Please make suggested changes and I'll approve.

Comment 2 Steve Traylen 2009-10-13 18:32:09 UTC
Hi Matt,
New ones here:

http://cern.ch/straylen/rpms/python-ssl/python-ssl-1.15-2.el5.src.rpm
http://cern.ch/straylen/rpms/python-ssl/python-ssl.spec

Changes include addition of a -p on the cp.
The group has changed to what you suggested which I agree is better.

Finally I have sent a mail upstream requesting the addition of
a LICENSE file.

rpmlint is still clean.

I will of course once this gets to the testing phase submit a bug
to RHEL python in anticipation of RHEL6. It seems there are similar
bugs like python-uulit bug #484708 which is exactly the same kind of
thing.


Steve

Comment 3 Matt Domsch 2009-10-13 18:51:46 UTC
Good job.  APPROVED.

Comment 4 Steve Traylen 2009-10-13 19:39:04 UTC
New Package CVS Request
=======================
Package Name: python-ssl
Short Description: SSL wrapper for socket objects (2.3, 2.4, 2.5 compatible)
Owners: stevetraylen
Branches: EL-4 EL-5
InitialCC:

Only odd since this is a strictly less than python 2.6 and so only
EPEL 4 and 5.

Steve

Comment 5 Kevin Fenzi 2009-10-15 17:20:05 UTC
You always get a devel branch. 
You can however, mark it a dead.package in devel and ask rel-eng to block it there. 
(See the package end of life page on the wiki). 

cvs done.

Comment 6 Fedora Update System 2009-10-15 20:11:13 UTC
python-ssl-1.15-3.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/python-ssl-1.15-3.el4

Comment 7 Fedora Update System 2009-10-15 20:16:47 UTC
python-ssl-1.15-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-ssl-1.15-3.el5

Comment 8 Steve Traylen 2009-10-15 20:29:09 UTC
Request has now been made on RHEL6 python to obsolete this package.
bug #529274

Comment 9 Fedora Update System 2009-11-05 21:26:08 UTC
python-ssl-1.15-3.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-11-05 21:26:56 UTC
python-ssl-1.15-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.